org.codehaus.plexus.component.factory

## Interface ComponentFactory

All Known Implementing Classes:
  AbstractComponentFactory, JavaComponentFactory

    public interface ComponentFactory

A `ServiceFactory` is responsible for instantiating a component.

Version:
  $Id: ComponentFactory.java 1323 2004-12-20 23:00:59Z jvanzyl $
Author:
  Jason van Zyl, Michal Maczka

### Field Summary

Fields
`static String` `ROLE` Component role.

### Method Summary

Methods
`String` `getId()`
`Object` `newInstance(ComponentDescriptor componentDescriptor, ClassRealm classRealm, PlexusContainer container)`

### Field Detail

#### ROLE

    static final String ROLE

Component role.

### Method Detail

#### getId

    String getId()

#### newInstance

    Object newInstance(ComponentDescriptor componentDescriptor,
                     ClassRealm classRealm,
                     PlexusContainer container)
                       throws ComponentInstantiationException

Throws:
  `ComponentInstantiationException`